#ifndef __BENCHMARK_DRIVER_H
#define __BENCHMARK_DRIVER_H

void vStringSearch();
void vBasicMath();
void vCrc();
void vFFT();
void vSha();
// void vEnergyLevelTest();
// void vTest_nvm();
// void vCustom();
// void vMemAccessPatternTest();
void vMatMul();
void vConv2d();
void adc_demo();
void vAes();

void vBenchmarkDriver(void *_benchmark);

#endif //__BENCHMARK_DRIVER_H